Bug 205071 - Switch from i810 to intel driver for correct resolution on this configuration
Switch from i810 to intel driver for correct resolution on this configuration
Status: CLOSED INSUFFICIENT_DATA
Product: Fedora
Classification: Fedora
Component: xorg-x11-drv-i810 (Show other bugs)
6
i386 Linux
medium Severity medium
: ---
: ---
Assigned To: X/OpenGL Maintenance List
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2006-09-03 11:17 EDT by Carl Henrik Lunde
Modified: 2007-11-30 17:11 EST (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2007-07-12 10:45:48 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
Output from lspci (1.67 KB, text/plain)
2006-09-03 11:17 EDT, Carl Henrik Lunde
no flags Details
Xorg log from good configuration (intel driver) (90.86 KB, text/plain)
2006-09-03 11:18 EDT, Carl Henrik Lunde
no flags Details
Output of 915resolution -l (743 bytes, text/plain)
2006-09-04 10:45 EDT, Wade Nelson
no flags Details
Output of lspci (1.55 KB, text/plain)
2006-09-04 10:46 EDT, Wade Nelson
no flags Details
Xorg Log using 'intel' driver (39.71 KB, text/plain)
2006-09-04 10:46 EDT, Wade Nelson
no flags Details

  None (edit)
Description Carl Henrik Lunde 2006-09-03 11:17:42 EDT
Description of problem:
With the i810 driver this configuration will not allow the user to set the
correct resolution (1920x1200).  However, with the "intel" driver the resolution
is correct.

Version-Release number of selected component (if applicable):
1.6.5-5.fc6

How reproducible:
Always (with configuration created by installation, and configuration created by
running system-config-display later)

Steps to Reproduce:
1. Install FC6test2 on a Mac Mini (Intel) with a Dell 2405FPW LCD monitor 
2. 
  
Actual results:
The image (1600x1200) is stretched to fit the monitor (1920x1200)

Expected results:
The image should be 1920x1200

Additional info:
Se lspci.txt and xorg.0.log
Comment 1 Carl Henrik Lunde 2006-09-03 11:17:42 EDT
Created attachment 135460 [details]
Output from lspci
Comment 2 Carl Henrik Lunde 2006-09-03 11:18:57 EDT
Created attachment 135461 [details]
Xorg log from good configuration (intel driver)
Comment 3 Wade Nelson 2006-09-04 10:45:41 EDT
Created attachment 135495 [details]
Output of 915resolution -l

Note the missing '1280x800' for my widescreen LCD, i810 driver won't display
1280x800 in this state, 'intel' driver will.
Comment 4 Wade Nelson 2006-09-04 10:46:13 EDT
Created attachment 135496 [details]
Output of lspci
Comment 5 Wade Nelson 2006-09-04 10:46:38 EDT
Created attachment 135497 [details]
Xorg Log using 'intel' driver
Comment 6 Wade Nelson 2006-09-04 10:48:53 EDT
My Dell system uses a 1280x800 14.1" LCD, however autodetection in FC6test2
assigns 'i810' driver, which will only display 1024x768.  After seeing this
initial bug report I switched to 'intel' driver, which works beautifully. 
Previously I had to use 915resolution in conjunction with 'i810' to make
1280x800 achievable.

I have noticed several other bugs that may or not may be related, this is the
first one I came across that specifically noted the 'i810' driver, which was the
problem in my case as well.
Comment 7 Adam Jackson 2006-09-15 17:27:28 EDT
Wade: can you clarify exactly which Dell system you're talking about?
Comment 8 Wade Nelson 2006-09-16 13:20:04 EDT
Inspiron B130, but not one I can find or configure through Dell's webpage (one
of those special coupon-code one-time deals)....

Pentium M 1.8GHz / Centrino
Integrated Intel 915GM gfx, shared memory up to 64MB
1GB RAM

If you feel like trying to glean info from Dell's site (I couldn't find much),
the service tag number is 62VM3B1

I also ran into an issue with the 'intel' driver and suspend (Bug 205539).

Should also note that bootsplash/progressbar runs at a stretched 1024x768 when
using 'i810' since I don't have 915resolution called until rc.local.  Using
'intel' driver it displays at a proper 1280x800
Comment 9 Matthew Miller 2007-04-06 12:49:23 EDT
Fedora Core 5 and Fedora Core 6 are, as we're sure you've noticed, no longer
test releases. We're cleaning up the bug database and making sure important bug
reports filed against these test releases don't get lost. It would be helpful if
you could test this issue with a released version of Fedora or with the latest
development / test release. Thanks for your help and for your patience.

[This is a bulk message for all open FC5/FC6 test release bugs. I'm adding
myself to the CC list for each bug, so I'll see any comments you make after this
and do my best to make sure every issue gets proper attention.]
Comment 10 Matěj Cepl 2007-07-12 10:45:48 EDT
Even after almost three months there has been no activity on these bugs, so we
consider them obsolete and they are being closed as INSUFFICIENT_DATA.

Please, if you are able to reproduce this bug on currently supported (FC6 and
F7) non-test distribution, or if there is any other reason why this bug should
be kept alive, please, reopen, change the product to something more recent and
add an additional information to the comment of such bug.

Thank you very much.

Note You need to log in before you can comment on or make changes to this bug.